<?php
/**
 * Marketplace - Component Marketplace 
 * ******************************************************************
 *
 * PHP version 7.0
 *
 * @category   Component
 * @package    Joomla
 * @author     WebKul software private limited <support@webkul.com>
 * @copyright  2010 WebKul software private limited
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @version    GIT:5.2
 * @filesource http://store.webkul.com
 * @link       Technical Support:  webkul.uvdesk.com
 * ******************************************************************
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.view');
jimport('joomla.html.html');
jimport('joomla.html.behavior');
/**
 * MarketplaceViewDashboard class
 * 
 * @category Component
 * @package  Joomla
 * @author   WebKul software private limited <support@webkul.com>
 * @license  http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @link     Technical Support:  webkul.uvdesk.com
 */
class MarketplaceViewDashboard extends JViewLegacy
{
    /**
     * Display function
     *
     * @param [type] $tpl var
     * 
     * @return void
     */
    function display($tpl = null)
    {  
        $this->addToolBar();
        $this->sidebar = JHtmlSidebar::render();
        parent::display($tpl);
    }
    /**
     * AddToolBar function
     *
     * @return void
     */
    protected function addToolBar() 
    {
        JToolBarHelper::title(JText::_('Dashboard'), 'dashboards');
        JToolBarHelper::divider();
        JToolBarHelper::preferences('com_marketplace');
    }
}
